import * as i0 from '@angular/core';
import { Injectable, Component, ViewEncapsulation, ViewChild, NgModule } from '@angular/core';

class MagicStringsService {
    constructor() { }
}
MagicStringsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.9", ngImport: i0, type: MagicStringsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
MagicStringsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "13.3.9", ngImport: i0, type: MagicStringsService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.9", ngImport: i0, type: MagicStringsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class MagicStringsComponent {
    constructor() {
        this.originalContent = "";
        this.controlledContent = "";
    }
    ngOnInit() {
        this.controlledContent = this.originalContent = this.content.nativeElement.textContent;
    }
    markText(value) {
        var _a;
        this.controlledContent = this.originalContent;
        this.controlledContent = (_a = this.originalContent) === null || _a === void 0 ? void 0 : _a.replace(new RegExp(value, 'g'), `<span class="mark">${value}</span>`);
        console.log(value);
    }
}
MagicStringsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.9", ngImport: i0, type: MagicStringsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
MagicStringsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.9", type: MagicStringsComponent, selector: "nk-magic-strings", viewQueries: [{ propertyName: "content", first: true, predicate: ["content"], descendants: true, static: true }], ngImport: i0, template: `
  <br>
  <input type="text" placeholder="search anything..." (keyup)="markText($any($event.target).value)"><br><br>
  
  <div #content [hidden]="true">
    <ng-content></ng-content>
  </div>

  <div [innerHTML]="controlledContent"></div>
  `, isInline: true, styles: [".mark{background-color:#ff0}\n"], encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.9", ngImport: i0, type: MagicStringsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'nk-magic-strings',
                    template: `
  <br>
  <input type="text" placeholder="search anything..." (keyup)="markText($any($event.target).value)"><br><br>
  
  <div #content [hidden]="true">
    <ng-content></ng-content>
  </div>

  <div [innerHTML]="controlledContent"></div>
  `,
                    styles: [`.mark {background-color: yellow}`],
                    encapsulation: ViewEncapsulation.None
                }]
        }], propDecorators: { content: [{
                type: ViewChild,
                args: ['content', { static: true }]
            }] } });

class MagicStringsModule {
}
MagicStringsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.9", ngImport: i0, type: MagicStringsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
MagicStringsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.9", ngImport: i0, type: MagicStringsModule, declarations: [MagicStringsComponent], exports: [MagicStringsComponent] });
MagicStringsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.9", ngImport: i0, type: MagicStringsModule, imports: [[]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.9", ngImport: i0, type: MagicStringsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        MagicStringsComponent
                    ],
                    imports: [],
                    exports: [
                        MagicStringsComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of magic-strings
 */

/**
 * Generated bundle index. Do not edit.
 */

export { MagicStringsComponent, MagicStringsModule, MagicStringsService };
//# sourceMappingURL=magic-strings.mjs.map
